/**
 * 验证手机号，座机号
 * @param {*} rule
 * @param {*} value
 * @param {*} callback
 */
export function validPhoneMobile(rule, value, callback){
  if (value){
    if (value === '') {
      callback(new Error('请输入11位手机号'));
    } else {
      let regPone;
      regPone = /^1([3456789])\d{9}$/; //最新16手机正则
      if (!regPone.test(value)) {
        callback(new Error("请填写11位手机号"))
      }
      callback();
    }
  }else {
    callback();
  }
}
/**
 * 验证正数，且小数可2位（包含0及正整数）
 * @param {*} rule
 * @param {*} value
 * @param {*} callback
 */
export function checkPositiveDecimal(rule, value, callback) {
  if (value) {
    value += ''
    // if(/(^[1-9]([0-9]+)?(\.[0-9]{1,4})?$)|(^(0){1}$)|(^[0-9]\.[0-9]([0-9])?$)/.test(value)) {
    // if(/(^[1-9]([0-9]+)?(\.[0-9]{1,2})?$)|(^(0){1}$)|(^[0-9]\.[0-9]([0-9])?$)/.test(value)) {
    if(/(^[1-9]([0-9]+)?(\.[0-9]{1,2})?$)|(^(0){1}$)|(^[0-9]\.[0-9]{1,2}$)/.test(value)) {
      callback()
    } else {
      callback(new Error('只能输入数字,且数值不能为负,小数限2位'))
    }
  } else {
    callback()
  }
}
